Skip to content

Get server public information

The endpoint can get the server's public information, such as RSA256 public key, SM2 public key, GenAuth service version number, etc.

Method name

AuthenticationClient.getSystemInfo

Request parameters

NameTypeRequiredDefault valueDescriptionSample value

Sample code

ts
import { AuthenticationClient, Models } from "authing-node-sdk";

const authenticationClient = new AuthenticationClient({
  // Need to replace with your GenAuth AppId, Secret and Host
  appId: "GEN_AUTH_APP_ID",
  appSecret: "GEN_AUTH_APP_SECRET",
  appHost: "GEN_AUTH_APP_HOST",
});

(async () => {
  const result = await authenticationClient.getSystemInfo();

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: SystemInfoResp

NameTypeDescription
rsa<a SystmeInfoRSAConfigRSA256 encryption configuration information
sm2<a SystmeInfoSM2ConfigNational SM2 encryption configuration information
version<a SystmeInfoVersionNational SM2 encryption configuration information
publicIpsarrayGenAuth service external IP list

Sample result:

json
{
  "rsa": {
    "publicKey": "xxxxxxxxxxxxxxxxxxxxxx"
  },
  "sm2": {
    "publicKey": "xxxxxxxxxxxxxxxxxxxxxx"
  },
  "version": {
    "server": "2.0.0",
    "console": "2.0.0",
    "login": "2.0.0"
  }
}

Data structure

SystmeInfoRSAConfig

NameTypeIs it requiredDescriptionSample value
publicKeystringYesRSA256 public keyxxxxxxxxxxxxxxxxxxxxxx

SystmeInfoSM2Config

NameTypeIs it required?DescriptionSample value
publicKeystringYesSM2 public keyxxxxxxxxxxxxxxxxxxxxxx

SystmeInfoVersion

NameTypeIs it required?DescriptionSample value
serverstringyesGenAuth core service version number2.0.0
consolestringyesGenAuth console version number2.0.0
loginstringyesGenAuth hosted login page version number2.0.0

Agent infrastructure for identity, memory, and web action.